package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsStoreCanvas;
import org.apache.ibatis.annotations.Select;

/**
 * 画布信息Mapper接口
 * 
 * @author fs
 * @date 2022-08-29
 */
public interface FsStoreCanvasMapper 
{
    /**
     * 查询画布信息
     * 
     * @param canvasId 画布信息ID
     * @return 画布信息
     */
    public FsStoreCanvas selectFsStoreCanvasById(Long canvasId);

    /**
     * 查询画布信息列表
     * 
     * @param fsStoreCanvas 画布信息
     * @return 画布信息集合
     */
    public List<FsStoreCanvas> selectFsStoreCanvasList(FsStoreCanvas fsStoreCanvas);

    /**
     * 新增画布信息
     * 
     * @param fsStoreCanvas 画布信息
     * @return 结果
     */
    public int insertFsStoreCanvas(FsStoreCanvas fsStoreCanvas);

    /**
     * 修改画布信息
     * 
     * @param fsStoreCanvas 画布信息
     * @return 结果
     */
    public int updateFsStoreCanvas(FsStoreCanvas fsStoreCanvas);

    /**
     * 删除画布信息
     * 
     * @param canvasId 画布信息ID
     * @return 结果
     */
    public int deleteFsStoreCanvasById(Long canvasId);

    /**
     * 批量删除画布信息
     * 
     * @param canvasIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsStoreCanvasByIds(Long[] canvasIds);
    @Select("select * from fs_store_canvas where terminal=#{terminal} ")
    FsStoreCanvas selectFsStoreCanvasByTerminal(Integer terminal);
}
